import { useDark, useToggle } from '@vueuse/core'

// 自动在 <html> 上添加/移除 class="dark"
export const isDark = useDark({
  // 存储到 localStorage，刷新保持状态
  storageKey: 'admin-theme',
  valueDark: 'dark',
  valueLight: 'light'
})

export const toggleTheme = useToggle(isDark)
